Financial products

Presentation

Each borrower is assigned a set of financial products that is tailored to your own offer and user base. This is a discussion we likely had together.

A financial product corresponds to an amount of financing we can offer for a specific financing use case. It therefore has its own maximum loan duration, reimbursement method and eligibility rules. For a given financial-product, our API returns one status, max-amount, available amount (max - currently lent), the reason for the status, etc. For more details see: GET /borrower/{borrower_id}/financial-products.

The two financial product we offer on our own app are:

  • PAYABLE: to finance purchase invoices (for stock, supplier, third party payments), the maximum duration of a loan is 4 months and it can be repaid in one go or with monthly repayments.
  • RECEIVABLE: to finance sales invoices that are usually paid by clients within 30 to 90 days. The maximum duration of a loan is 4 months and it has to be repaid in one-go (usually when the user's client repay him).

State machine

Entity lifecycle

There is no single path for the status of a financial product. So no linear lifecycle.

The rules / requirements for transitioning between status depend on a daily analysis of the financials of the company, its administrative status or user requests such as closing his account.

The lifecycle is the following:

  • it always starts with CREATED
  • then it can go into any status and status can change at any time between:
    • READY: everything is ok, user can request a loan right now and it is likely to be accepted right away
    • BLOCKED: there is something wrong with either the financial situation or the administrative status of the company
      • e.g. they have been radiated from RCS ➜ they must fix their situation with RCS to be able to get READY  again
      • e.g. they have a high increase of rejected transactions we do many analysis so I can't list them all
    • PENDING_USER_ACTION: we are waiting for the user to provide information regarding some worrying signals we detected
      • e.g. they didn't pay social charges, we request a proof of regulation once we did
      • same for VAT payments
    • CHURN represent the fact that the user is not active anymore.
      • So it should happen only several months after the financial-product was CREATED.
    • DEACTIVATED: the user asked Defacto to close his accounts and delete all of his data.
    • CUT: Defacto decided to not lend to this company anymore. User cannot do anything to change that.
      • The reason why we made this decision is available in the status_reason field
      • This can occur right after you create the company on Defacto if the company is not eligible to our financing offer